Bug 826135 - SELinux is preventing /opt/google/chrome/chrome from using the 'ptrace' accesses on a process.
SELinux is preventing /opt/google/chrome/chrome from using the 'ptrace' acces...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6508f956c4f51460f1e0afbe746...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 12:49 EDT by Garrett
Modified: 2012-05-29 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 14:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garrett 2012-05-29 12:49:03 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.x86_64
time:           Tue 29 May 2012 09:43:50 AM MST

description:
:Not sure what the issue is, I'm new to fedora... Gnome shell crashed, I hit ctrl + alt + backspace, logged in and went to restart google chrome, then received this error. It looks like it is linked to google chrome trying to load recovery data.
:
:SELinux is preventing /opt/google/chrome/chrome from using the 'ptrace' accesses on a process.
:
:*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************
:
:If you want to allow sysadm to debug or ptrace all processes.
:Then you must tell SELinux about this by enabling the 'deny_ptrace'boolean.
:Do
:setsebool -P deny_ptrace 0
:
:*****  Plugin catchall (11.6 confidence) suggests  ***************************
:
:If you believe that chrome should be allowed ptrace access on processes labeled unconfined_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep WorkerPool/1323 /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ process ]
:Source                        WorkerPool/1323
:Source Path                   /opt/google/chrome/chrome
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           google-chrome-stable-19.0.1084.52-138391.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-110.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.x86_64 #1 SMP Mon Mar 19
:                              03:03:39 UTC 2012 x86_64 x86_64
:Alert Count                   19
:First Seen                    Tue 29 May 2012 09:40:02 AM MST
:Last Seen                     Tue 29 May 2012 09:43:28 AM MST
:Local ID                      dd371fa2-28af-4215-9395-621852e0a375
:
:Raw Audit Messages
:type=AVC msg=audit(1338309808.506:487): avc:  denied  { ptrace } for  pid=14541 comm="WorkerPool/1453" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1338309808.506:487): arch=x86_64 syscall=ptrace success=no exit=EACCES a0=10 a1=38cc a2=0 a3=0 items=0 ppid=14496 pid=14541 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=6 comm=WorkerPool/1453 exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
:
:Hash: WorkerPool/1323,unconfined_t,unconfined_t,process,ptrace
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-05-29 14:43:18 EDT
The alert tells you what to do.

Note You need to log in before you can comment on or make changes to this bug.